Name: jhead
Version: 2.86
Release: 1%{?dist}
Summary: Tool for displaying EXIF data embedded in JPEG images
Group: Applications/Multimedia
License: Public Domain
URL: http://www.sentex.net/~mwandel/jhead/
Source0: http://www.sentex.net/~mwandel/jhead/jhead-2.86.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Jhead displays and manipulates the non-image portions of EXIF formatted
JPEG images, such as the images produced by most digital cameras.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_bindir}
cp -p jhead ${RPM_BUILD_ROOT}/%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_mandir}/man1/
cp -p jhead.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc readme.txt usage.html changes.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%changelog
* Fri Feb 16 2009 Adrian Reber <adrian@lisas.de> - 2.86-1
- updated to 2.86
- fixes "CVE-2008-4640 jhead: arbitrary file deletion" (#468056)
- fixes "CVE-2008-4641 jhead: command exection caused by
  incorrect handling of the shell escapes" (#468057)
- fixes "build ignores optflags" (#485697)

* Thu Oct 16 2008 Adrian Reber <adrian@lisas.de> - 2.84-1
- updated to 2.84
- fixes "CVE-2008-4575 jhead buffer overflow" (#467262)
- removed upstreamed makefile patch

* Wed Sep 24 2008 Adrian Reber <adrian@lisas.de> - 2.82-2
- rebased makefile patch

* Sat Apr 05 2008 Adrian Reber <adrian@lisas.de> - 2.82-1
- updated to 2.82

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.7-3
- Autorebuild for GCC 4.3

* Sat Oct 13 2007 Adrian Reber <adrian@lisas.de> - 2.7-2
- rebuilt for BuildID

* Sun Mar 18 2007 Adrian Reber <adrian@lisas.de> - 2.7-1
- updated to 2.7

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.6-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Adrian Reber <adrian@lisas.de> - 2.6-2
- rebuilt

* Mon May 01 2006 Adrian Reber <adrian@lisas.de> - 2.6-1
- updated to 2.6
- removed gcc4 patch

* Sat Feb 18 2006 Adrian Reber <adrian@lisas.de> - 2.5-1
- updated to 2.5
- removed compiler warnings patch and added gcc4 patch

* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-3
- undo parts of the compiler warning patch because it 
  disabled the correct optflags

* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-2
- added patch to make compiler happy

* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-1
- updated to 2.4

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Adrian Reber <adrian@lisas.de> 2.3-1
- updated to 2.3

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 2.2-2
- Bump release to provide Extras upgrade path.

* Wed Oct 13 2004 Adrian Reber <adrian@lisas.de> 0:2.2-0.fdr.1
- updated to 2.2
- use full URL for source
- now honouring RPM_OPT_FLAGS

* Sat Jul 26 2003 Chris Ricker <kaboom@gatech.edu> 0:2.0-0.fdr.2
- Optimize compile (#502)
- Include changes.txt (#502)

* Tue Jul 22 2003 Chris Ricker <kaboom@gatech.edu> 0:2.0-0.fdr.1
- Initial package
